<?php
/////////////////////////////////////////// Plgn_mysql //////////////////////////////////////
class XHEMYSQL extends XHEBaseObject
{
//////////////////////////// SERVICE FUNCTIONS /////////////////////////////////////////////////////
    // server initialization
    private string $inner_number;

    function __construct(string $server, string $password="")
	{
		$this->server = $server;
		$this->password = $password;
		$this->prefix = "Plgn_mysql";
	}
/////////////////////////////////////////////////////////////////////////////////////////////////////    
    
    // Подключиться к базе данных (mysql)
    function connect(string $alias, string $connection_string): bool
    {
        $params = array( "alias" => $alias, "connection_string" => $connection_string );
        return $this->call_get(__FUNCTION__, $params);
    }

    // Отключиться от базы данных (mysql)
    function disconnect(string $alias): bool
    {
        $params = array( "alias" => $alias );
        return $this->call_get(__FUNCTION__, $params);
    }

    // выполнить запрос query (mysql)
    function execute_query(string $alias, string $query): string
    {
        $params = array( "alias" => $alias, "query" => $query );
        return $this->call_get(__FUNCTION__, $params);
    }

    // выполнить запрос scalar (mysql)
    function execute_scalar(string $alias, string $query): string
    {
        $params = array( "alias" => $alias, "query" => $query );
        return $this->call_get(__FUNCTION__, $params);
    }

    // выполнить запрос non query (mysql)
    function execute_non_query(string $alias, string $query): int
    {
        $params = array( "alias" => $alias, "query" => $query );
        return $this->call_get(__FUNCTION__, $params);
    }
};

?>
